package com.kingdee.eas.custom.projectbonus;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class BonusCycleBusDepProjectCollection extends AbstractObjectCollection 
{
    public BonusCycleBusDepProjectCollection()
    {
        super(BonusCycleBusDepProjectInfo.class);
    }
    public boolean add(BonusCycleBusDepProjectInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(BonusCycleBusDepProjectCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(BonusCycleBusDepProjectInfo item)
    {
        return removeObject(item);
    }
    public BonusCycleBusDepProjectInfo get(int index)
    {
        return(BonusCycleBusDepProjectInfo)getObject(index);
    }
    public BonusCycleBusDepProjectInfo get(Object key)
    {
        return(BonusCycleBusDepProjectInfo)getObject(key);
    }
    public void set(int index, BonusCycleBusDepProjectInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(BonusCycleBusDepProjectInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(BonusCycleBusDepProjectInfo item)
    {
        return super.indexOf(item);
    }
}